diff --git a/xlators/cluster/afr/src/afr-self-heald.c b/xlators/cluster/afr/src/afr-self-heald.c
index 109fd4b7421..71209637f16 100644
--- a/xlators/cluster/afr/src/afr-self-heald.c
+++ b/xlators/cluster/afr/src/afr-self-heald.c
@@ -1024,11 +1024,17 @@ afr_shd_index_healer(void *data)
     loc_t loc = {
         0,
     };
+    gf_lkowner_t lkowner;
+    pid_t pid = GF_CLIENT_PID_SELF_HEALD;
 
     healer = data;
     THIS = this = healer->this;
     priv = this->private;
 
+    syncopctx_setfspid(&pid);
+    set_lk_owner_from_ptr(&lkowner, &lkowner);
+    syncopctx_setfslkowner(&lkowner);
+
     for (;;) {
         afr_shd_healer_wait(healer);
 
